Package Details: stm8flash-git a-1

Git Clone URL: https://aur.archlinux.org/stm8flash-git.git (read-only, click to copy)
Package Base: stm8flash-git
Description: Utility for flashing STM8 MCU family via ST-LINK (V1 and V2)
Upstream URL: https://github.com/vdudouyt/stm8flash
Licenses: GPL2
Submitter: kivkiv
Maintainer: swiftgeek
Last Packager: swiftgeek
Votes: 6
Popularity: 0.24
First Submitted: 2015-05-17 04:30 (UTC)
Last Updated: 2022-06-09 10:03 (UTC)

Latest Comments

swiftgeek commented on 2022-06-10 16:36 (UTC) (edited on 2022-06-10 16:38 (UTC) by swiftgeek)

the error was not regenerating .SRCINFO last time. a-1 is the 2nd lowest possible package version, as this package is not setting any particular git revision to upgrade to.

drws commented on 2022-06-10 13:06 (UTC)

pkgver=a
pkgrel=1

That also happened with the latest update. Is it deliberate or an error?

ruestique commented on 2022-06-09 06:53 (UTC)

@yjun thank you!!!

@swiftgeek pls push the update

yjun commented on 2022-06-05 12:10 (UTC) (edited on 2022-06-05 12:11 (UTC) by yjun)

replace old git protocol source url with url git+https://github.com/vdudouyt/stm8flash.

Ref: https://github.blog/2021-09-01-improving-git-protocol-security-github/

This is the full brownout period where we’ll temporarily stop accepting the deprecated key and signature types, ciphers, and MACs, and the unencrypted Git protocol. This will help clients discover any lingering use of older keys or old URLs.

juanfra commented on 2020-07-05 20:15 (UTC)

Please change the install line to "make DESTDIR="$pkgdir/usr" install" or pacman will not install the package.

swiftgeek commented on 2017-12-10 04:14 (UTC) (edited on 2017-12-10 04:17 (UTC) by swiftgeek)

Sorry somehow i lost this task in crash :)

Use changeling (package in aur) to update this package periodically during next -Syua

Jake commented on 2017-12-09 15:55 (UTC) (edited on 2017-12-09 15:56 (UTC) by Jake)

I have reworked the PKGBUILD here: https://github.com/Jakeler/AUR-PKGBUILDS/blob/master/stm8flash-git/PKGBUILD

Do you update the pkg with it, swiftgeek? Feel free to add kivkiv and you as Contributor/Maintainer at the top. I would also be happy to maintain or co-maintain this package.

PeterGottesman commented on 2017-04-30 04:31 (UTC)

This needs to be properly packaged, please follow the instructions in swiftgeek's comment.

swiftgeek commented on 2015-10-05 20:01 (UTC)

Please use proper way of packaging for git repos: https://wiki.archlinux.org/index.php/VCS_package_guidelines